using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using QuintoCaminoV2.Data_objects;

namespace QuintoCaminoV2.Admin
{
    public partial class AdminCursos : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            getCursos();
        }

         [System.Web.Services.WebMethod]
        public void getCursos()
        {

            bindingCursos();
        }
        public void bindingCursos()
        {
            DataLayer oDataLayer = new DataLayer();
            Data_objects.Cursos oCursos = new Data_objects.Cursos();
            grdCursos.DataSource = oDataLayer.get_Cursos(oCursos);
            grdCursos.DataBind();
        }

        [System.Web.Services.WebMethod]
        public static void SaveCurso(string txtTitCurso, string txtDesc, string txtCosto)
        {
            List<Data_objects.Cursos> lstCursos = new List<Data_objects.Cursos>();
            Data_objects.Cursos oCursos = new Data_objects.Cursos();
            DataLayer oDataLayer = new DataLayer();
            Errores oError = new Errores();

            oCursos.vchTitulo = txtTitCurso;
            //oCursos.vchDescripcionCorta = txtDesCurCorta;
            oCursos.vchDescripcion = txtDesc;
            oCursos.decCosto = Convert.ToInt32(txtCosto);
            oCursos.bitActivo = true;
            lstCursos.Add(oCursos);

            oError = oDataLayer.insertCurso(lstCursos);

            if (!(oError.bitError))
            {
               // ModalPopupExtender2.Hide();
                //getCursos();
            }

        }

        protected void grdCursos_RowCommand(object sender, GridViewCommandEventArgs e)
        {
            int index = Convert.ToInt32(e.CommandArgument);

            if (e.CommandName.Equals("detail"))
            {

                int ID = Convert.ToInt32(grdCursos.DataKeys[index].Value.ToString());
                Response.Redirect("Clases.aspx?idCurso=" + ID);

            }

            if (e.CommandName.Equals("detail"))
            {

                int ID = Convert.ToInt32(grdCursos.DataKeys[index].Value.ToString());
                Response.Redirect("Clases.aspx?idCurso=" + ID);

            }
        }

        protected void grdCursos_RowDataBound(object sender, GridViewRowEventArgs e)
        {
            if (e.Row.RowType == DataControlRowType.DataRow)
            {
                string item = e.Row.Cells[1].Text;
                foreach (Button button in e.Row.Cells[6].Controls.OfType<Button>())
                {
                    if (button.CommandName == "delete")
                    {
                        button.Attributes["onclick"] = "if(!confirm('Desear eliminar el curso: " + item + "?')){ return false; };";
                    }
                }
            }
        }

        protected void grdCursos_RowDeleting(object sender, GridViewDeleteEventArgs e)
        {
            List<Data_objects.Cursos> lstCharlas = new List<Data_objects.Cursos>();
            Data_objects.Cursos oCursos = new Data_objects.Cursos();
            DataLayer oDataLayer = new DataLayer();
            Errores oError = new Errores();

            oCursos.intCursoId = Convert.ToInt32(e.Keys[0]);
            lstCharlas.Add(oCursos);

            oError = oDataLayer.DeleteCursos(lstCharlas);

            if (!(oError.bitError))
            {
                getCursos();
            }
        }

        //public void getClases(int idCurso)
        //{
        //    grdClases.DataSource = null;
        //    grdClases.DataBind();
        //    DataLayer oDataLayer = new DataLayer();
        //    Data_objects.Clases oClases = new Data_objects.Clases();
        //    oClases.intCursoId = idCurso;

        //    grdClases.DataSource = oDataLayer.get_Clases(oClases);
        //    grdClases.DataBind();
        //}



    }
}